Subject: linux-next: manual merge of the akpm tree with the arm64-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 26 May 2021 16:49:10 +1000

Hi all,

Today's linux-next merge of the akpm tree got a conflict in:

  arch/arm64/mm/mmu.c

between commit:

  e69012400b0c ("arm64: mm: don't use CON and BLK mapping if KFENCE is enabled")

from the arm64-fixes tree and patch:

  "set_memory: allow querying whether set_direct_map_*() is actually enabled"

from the akpm tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc arch/arm64/mm/mmu.c
index cbcbd64818eb,e3b639e2461d..000000000000
--- a/arch/arm64/mm/mmu.c
+++ b/arch/arm64/mm/mmu.c
@@@ -515,8 -516,7 +516,7 @@@ static void __init map_mem(pgd_t *pgdp
  	 */
  	BUILD_BUG_ON(pgd_index(direct_map_end - 1) == pgd_index(direct_map_end));
  
- 	if (rodata_full || crash_mem_map || debug_pagealloc_enabled() ||
- 	    IS_ENABLED(CONFIG_KFENCE))
 -	if (can_set_direct_map() || crash_mem_map)
++	if (can_set_direct_map() || crash_mem_map || IS_ENABLED(CONFIG_KFENCE))
  		flags |= NO_BLOCK_MAPPINGS | NO_CONT_MAPPINGS;
  
  	/*